var windowWidth = 1010;

function sliderOfGame() {
    object_of_full_game_width = $('.embed').width();
    object_of_full_game_height = $('.embed').height();
    object_of_full_game_left = Number($('.page').css('left').replace(/px$/, ''));

    $( "#slider-horizontal" ).slider({
        orientation: "horizontal",
        range: "min",
        min: object_of_full_game_width,
        max: $(window).width() - 100,
        value: $('.embed').width(),
        slide: function( event, ui ) {
            $( ".embed, .page, object" ).css('width', ui.value+'px');
            $( ".embed, .page, object" ).css('height', (object_of_full_game_height*(ui.value/object_of_full_game_width))+'px');

            $( ".embed, .page, object, .embed, .page, object embed" ).attr('width', ui.value+'px');            
            $( ".embed, .page, object, .embed, .page, object embed" ).attr('height', (object_of_full_game_height*(ui.value/object_of_full_game_width))+'px');

            if ($('.page').width() > windowWidth) {
              $('#page_left, #page_right').css('display', 'none');
            } else {
              if ($('#page_right').css('display') == "none") {
                $('#page_left, #page_right').css('display', 'block');
              }
            }       
        }
    });
}

$(document).ready(function() {
  windowWidth = $(window).width() - 380;
  if (navigator.appVersion.indexOf("MSIE 7.") != -1) {
		$( "#slider-horizontal" ).css('display', 'none');
		return;
	} else {
    sliderOfGame();
  }
});

$(window).resize(function() {
  windowWidth = $(window).width() - 380;
  if ($('.page').width() >= windowWidth) $("#page_left, #page_right").css("display", "none"); 
  else {$("#page_left, #page_right").css("display", "block");}
  if ($(window).width() < 950) $( "#slider-horizontal" ).css('display', 'none');
  else $( "#slider-horizontal" ).css('display', 'block');
});